All pages
Powered by GitBook
1 of 1

Loading...

API quickstart

Create an API token and make your first Marketplace Platform API request.

Marketplace Platform REST APIs provide programmatic access to accounts, orders, subscriptions, billing, notifications, and other Marketplace resources.

Use this guide to create an API token and make your first API call.

1

Before you start

Ensure that you have:

  • Access to a Marketplace Platform account.

  • Permission to create API tokens in the Marketplace.

  • A tool for sending requests, such as Postman.

2

Marketplace Platform APIs use API tokens for authentication.

To create a token:

  1. to your Marketplace account.

  2. Open the main menu, then go to Settings > API tokens.

3

Once you have your API token, send a request to one of the available endpoints.

All Marketplace Platform API endpoints use the following base URL:

The following example uses the to retrieve a list of buyers in your account.

Send a GET request to the /public/v1/accounts/buyers endpoint:

4

If the request succeeds, the API returns a 200 OK response and a list of buyers in the response body.

If the access token is invalid, the API returns 401 Unauthorized.

If the token doesn't have permission to access the endpoint, the API returns 403 Forbidden. Note that access to this endpoint depends on the account type associated with the token, rather than the enabled modules. The token must belong to a client or ops account.

For more HTTP status codes, see .

After successfully authenticating, you can use the same API token to access other Marketplace APIs. Choose a common integration scenario to continue building with the platform.

Select Add.
  • Complete the Add API token workflow. For detailed instructions, see .

  • Copy the token value.

  • https://api.platform.softwareone.com
    GET https://api.platform.softwareone.com/public/v1/accounts/buyers
    Authorization: Bearer {TOKEN_VALUE}
    Accept: application/json
    200 OK
    {
    	"$meta": {
    		"pagination": {
    			"offset": 0,
    			"limit": 10,
    			"total": 1
    		},
    		"omitted": [
    			"audit"
    		]
    	},
    	"data": [
    		{
    			"id": "BUY-2844-0294",		
                "icon": "/buyers/BUY-2844-0294/icon",
    			"contact": null,
    			"externalIds": {
    				"erpCompanyContact": "WW-CON-123456",
    				"erpCustomer": "WW-SCU-123456"
    			},
    			"status": "Enabled",
    			"icon": null,
    			"address": {
    				"addressLine1": "PO Box 31",
    				"addressLine2": "Victory Road",
    				"postCode": "DE24 8BJ",
    				"city": "Derby",
    				"state": "Derbs",
    				"country": "UK"
    	
    	
    					},
    			"taxId": "VAT1",
    			"account": {
    				"id": "ACC-5563-4382",
    				"href": "/accounts/ACC-5563-4382",
    				"icon": null,
    				"name": "Intelli Industries"
    			},
    			"name": "Rolls, Inc",
    			"sellers": [
    				{
    					"id": "SEL-0578-5578",				
    					"externalId": "SWO_CA",
    					"name": "SoftwareOne Canada, Inc."
    				}
    			]
    		}
    	]
    }

    Generate an API token

    Make your first API request

    Review the response

    Continue building with Marketplace Platform APIs

    Looking for additional APIs or guidance? See and .

    Sign in
    Accounts API
    Error handling

    Manage accounts and users

    Create and manage accounts, users, groups, and API tokens.

    Manage orders and subscriptions

    Manage orders, subscriptions, assets, and agreements.

    Access billing data

    Retrieve invoices, statements, charges, and billing information.

    Manage products and catalogs

    Browse and manage products, catalogs, and related metadata.

    Manage notifications

    Send notifications, manage recipients and categories, and track message delivery.

    Create API token
    Browse APIs
    API Usage & Reference